<?php
namespace BFA\ShGallery\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Benjamin Giesbrecht <beni@aquaverde.ch>, Aquaverde
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class CollectionController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * collectionRepository
	 *
	 * @var \BFA\ShGallery\Domain\Repository\CollectionRepository
	 * @inject
	 */
	protected $collectionRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$collections = $this->collectionRepository->findAll();
		$this->view->assign('collections', $collections);
	}

	/**
	 * action show
	 *
	 * @param \BFA\ShGallery\Domain\Model\Collection $collection
	 * @return void
	 */
	public function showAction(\BFA\ShGallery\Domain\Model\Collection $collection) {
		$this->view->assign('collection', $collection);
	}

}
?>